Acceptance Options
http
POST /api/v1/acceptance/optionsBase URL: https://supplies-api.wildberries.ru · Module: orders-fbw · Section: Information for Forming Supplies · Specification doc ↗
The method is temporary disabled
Request limit per one seller account:
| Type | Period | Limit | Interval | Burst |
|---|---|---|---|---|
| Personal | 1 min | 6 requests | 10 s | 6 requests |
| Service | 1 min | 6 requests | 10 s | 6 requests |
| Base with secret | 1 min | 6 requests | 10 s | 6 requests |
| Base | 1 h | 2 requests | 30 min | 1 request |
Parameters
| Name | In | Type | Req. | Description |
|---|---|---|---|---|
warehouseID | query | integer<int64> | no | Warehouse ID. If the parameter is not specified, data for all warehouses is returned. **Maximum is one value** |
Request body
application/json — schema models.Good[], required
quantityinteger<int64>— Total quantity of items planned for supply. **Maximum 999999**barcodestring— Barcode from the listing
Responses
| Code | Description | Schema |
|---|---|---|
200 | Success | models.OptionsResultModel |
400 | Incorrect request | models.ErrorModel |
401 | Unauthorized | object |
402 | Payment required | object |
403 | Access denied | object |
404 | Not found | — |
429 | Too many requests | object |
Structure 200:
resultobject[]barcodestring— Listing barcodeerrorobject— Error data. If an error is presenttitlestring— Error IDdetailstring— Error description
isErrorboolean— Presence of an error: -true— there is an error - Field is absent — there is no errorwarehousesobject[]— Warehouses list. Will benullif an error is presentwarehouseIDinteger<int64>— Warehouse ID. With it, you can get information about the warehousecanBoxboolean— Box package type: -true— available -false— not availablecanMonopalletboolean— Monopallet package type: -true— available -false— not availablecanSupersafeboolean— Super safe package type: -true— available -false— not availableisBoxOnPalletboolean— Pallet with Single Items supply type: -true— available -false— not available
requestIdstring— Request ID if an error is present
Structure 400:
statusinteger<int64>— HTTP status codetitlestring— Error IDdetailstring— Error descriptionrequestIdstring— Request IDoriginstring— Service that returned the error
Structure 401:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 402:
titlestring— Error titledetailstring— Error details. The error is only returned to services from the Solutions for business Catalog
Structure 403:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Structure 429:
titlestring— Error titledetailstring— Error detailscodestring— Internal error coderequestIdstring— Unique request IDoriginstring— WB internal service IDstatusnumber— HTTP status codestatusTextstring— Text of the HTTP status codetimestampstring— Request date and time
Call examples
Arguments are shown as parameter names — substitute your own values. Languages whose client does not expose this operation are omitted.
python
from wb_api_client.orders_fbw import Configuration, ApiClient
from wb_api_client.orders_fbw.api import OrdersFbwApi
cfg = Configuration(access_token="<your WB JWT>")
api = OrdersFbwApi(ApiClient(cfg))
result = api.post_v1_acceptance_options(models_good=..., warehouse_id=...)
print(result)ts
import {
Configuration,
OrdersFbwApi,
} from "@valeryverkhoturov/wb-api-client/orders-fbw";
const cfg = new Configuration({});
cfg.setAccessToken("<your WB JWT>");
const api = new OrdersFbwApi(cfg);
const { data } = await api.postV1AcceptanceOptions(modelsGood, warehouseID);
console.log(data);go
import (
"context"
"fmt"
wbordersfbw "github.com/ValeryVerkhoturov/wb-api-client-go/orders_fbw"
)
cfg := wbordersfbw.NewConfiguration()
cfg.SetAccessToken("<your WB JWT>")
client := wbordersfbw.NewAPIClient(cfg)
result, _, err := client.OrdersFbwAPI.PostV1AcceptanceOptions(context.Background()).ModelsGood(modelsGood).WarehouseID(warehouseID).Execute()
if err != nil {
panic(err)
}
fmt.Printf("%+v\n", result)java
import io.github.valeryverkhoturov.wbapi.orders_fbw.ApiClient;
import io.github.valeryverkhoturov.wbapi.orders_fbw.SecretString;
import io.github.valeryverkhoturov.wbapi.orders_fbw.api.OrdersFbwApi;
ApiClient client = new ApiClient();
client.setAccessToken(new SecretString("<your WB JWT>"));
OrdersFbwApi api = new OrdersFbwApi(client);
System.out.println(api.postV1AcceptanceOptions(modelsGood, warehouseID));php
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Configuration;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\SecretString;
use ValeryVerkhoturov\WbApiClient\OrdersFbw\Api\OrdersFbwApi;
use GuzzleHttp\Client;
$config = (new Configuration())
->setAccessTokenSecret(new SecretString('<your WB JWT>'));
$api = new OrdersFbwApi(new Client(), $config);
print_r($api->postV1AcceptanceOptions($models_good));bsl
#Использовать "wb-api-client"
Настройки = Новый Конфигурация();
Настройки.УстановитьТокен("<your WB JWT>");
Клиент = Новый OrdersFbwApi(Настройки);
Сообщить(Клиент.PostV1AcceptanceOptions(Тело).Тело);csharp
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Api;
using ValeryVerkhoturov.WbApiClient.OrdersFbw.Client;
var config = new Configuration();
config.AccessTokenSecret = new SecretString("<your WB JWT>");
var api = new OrdersFbwApi(config);
Console.WriteLine(api.PostV1AcceptanceOptions(modelsGood));rust
use wb_api_client::orders_fbw::apis::{configuration::Configuration, orders_fbw_api};
#[tokio::main]
async fn main() {
let mut cfg = Configuration::new();
cfg.set_access_token("<your WB JWT>");
let result = orders_fbw_api::post_v1_acceptance_options(&cfg, models_period_good, warehouse_id).await;
println!("{:#?}", result);
}